.project-sidebar {
    transform: translateX(~"-@{sidebar-size}") translateX(@small-sidebar-size);
    transition: transform 0.2s ease-in-out;
    z-index: 10;
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    padding-bottom: 1em;
    width: @sidebar-size;
    background:@sidebar-bg;
    border-radius: 0;
    .ui.inverted.menu {
        background-color:@sidebar-bg;
    }
    .ui.inverted.placeholder, .ui.inverted.placeholder .image.header:after, .ui.inverted.placeholder .line, .ui.inverted.placeholder .line:after, .ui.inverted.placeholder>:before {
        background-color:@sidebar-bg;
    }
    .ui.dropdown {
        opacity: 0;
        transition: opacity 0.2s ease-in-out;
    }
    .logo {
        opacity: 0;
        transition: opacity 0.2s ease-in-out;
    }
    .ui.header.simple-logo {
        transition: opacity 0.1s ease;
        position: absolute;
        left: 152px;
        top: -20px;
        color: white;
        font-size: 2.5em;
        opacity: 1;
        transition-delay: 0.1s;

    }
}

.force-bottom {
        position: absolute;
        bottom: 0px;
        padding: .8em 1.2em .8em 1.2em;
        color: rgba(255, 255, 255, 0.5);
}

.project-sidebar:hover {
    transform: translateX(0);
    .ui.dropdown {
        opacity: 1;
    }
    .logo {
        opacity: 1;
    }
    .ui.header.simple-logo {
        opacity: 0;
        transition-delay: 0s;
    }
}

.ui.vertical.menu {
    width: @sidebar-size !important;
    transform: translate(0);
}

.project-menu:extend(.project-sidebar){
    top: 100px;
    .item {
        left: 4px;
    }
} 

.project-sidebar .logo {
    margin-top: 20px !important;
    margin-left: 12px !important;
    color: white !important;
}

.project-sidebar .copyright {
    margin-left: 15px !important;
    color: white !important;
}

// .project-sidebar .menu .item {
//     transform: translateX(-143px);
//     transition: transform 0.3s ease-in-out;
// }

// .project-sidebar .menu .item:hover {
//     transform: translateX(0);
// }

.logo {
    font-family: Hind, sans-serif !important;
    font-size: 2.5em !important;
}

.project-children {
    min-width: 550px;
    position: absolute;
    left: @small-sidebar-size;
    width: calc(~"100% - " @small-sidebar-size);
    height: 100%;
} 

.content-placeholder {
    margin-top: 4em;
}

.sidebar-placeholder {
    margin-top: 2em;
    margin-left: 1em;
    margin-right: 1em;
}

.open-chat-button {
    position: absolute;
    bottom: 16px;
    right: 16px;
}

.project-children .ui.container {
    max-width: 1360px !important;
    width: ~"calc(100% - 80px)";
}

.Resizer {
    background: #000;
    opacity: 0.2;
    z-index: 1;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -moz-background-clip: padding;
    -webkit-background-clip: padding;
    background-clip: padding-box;
}
  
.Resizer:hover {
    -webkit-transition: all 2s ease;
    transition: all 2s ease;
}
  
// .Resizer.horizontal {
//     height: 11px;
//     margin: -5px 0;
//     border-top: 5px solid rgba(255, 255, 255, 0);
//     border-bottom: 5px solid rgba(255, 255, 255, 0);
//     cursor: row-resize;
//     width: 100%;
// }
  
// .Resizer.horizontal:hover {
//     border-top: 5px solid rgba(0, 0, 0, 0.5);
//     border-bottom: 5px solid rgba(0, 0, 0, 0.5);
// }
  
.Resizer.vertical {
    width: 11px;
    margin: 0 -5px;
    border-left: 5px solid rgba(255, 255, 255, 0);
    border-right: 5px solid rgba(255, 255, 255, 0);
    cursor: col-resize;
}
  
.Resizer.vertical:hover {
    border-left: 5px solid rgba(0, 0, 0, 0.5);
    border-right: 5px solid rgba(0, 0, 0, 0.5);
}

.Resizer.disabled {
    cursor: default;
}

.Resizer.disabled:hover {
    border-color: transparent;
}

.width-transition .Pane.vertical.Pane2 {
    transition-property: width;
    transition-duration: 0.3s;
    transition-timing-function: cubic-bezier(0.165, 0.84, 0.44, 1);
}
  
.chat-pane-container {
    background-color: white;
    height: 100%;
    display: flex;
    flex-direction: column;

    .menu.pointing {
        padding: 0;
        margin: 0;
        min-height: @top-menu-height;
        height: @top-menu-height;

        .ui.selection.dropdown {
            position: relative;
            min-width: 120px;
            min-height: 2.4em;
            top: 6px;
            padding: 0.65em 1em;

            .menu .active.item {
                border-color: transparent;
            }

            .menu .active.item:hover {
                border-color: transparent;
            }
        }

        i.clipboard.saved-test {
            animation: bfbounce 0.3s ease-in-out;
        }
        
        .right.menu {
            margin-bottom: 3px;
        }
    }

    .ui.message.no-language {
        margin: 1em;
        min-height: auto;
    }

    .ui.message.no-core-message {
        margin: 1em;
    }

    .rw-conversation-container {
        box-shadow: none;
        height: 100%;
    }

    .rw-widget-embedded {
        position: unset;
        // Chat widget
        height: ~"calc(100% - 46px)";
        .message.typing-indication .response {
            height: 35px;
        }
    }


    .ui.active.visible.item.dropdown .menu.transition.visible {
        max-width: 300px;
        .selected.item {
            white-space: pre;
            .label {
                margin-top: 7px;
            }
        }
    }
}

.ui.bottom.right.popup.redo-chat-popup {
    margin-right: -12px;
}

.Pane.vertical.Pane1 > div {
    overflow-x: hidden;
    height: 100vh;
}
